@echo off

IF "%CD%\" EQU "%~dp0" GOTO mp2check
color 0d
echo      ___
echo     /___\
echo    '^|'_'^|'    E
echo    '^|' '^|'      R
echo    /.....\     R
echo  /'^|__'__^|'\      O
echo  ^|'^|__'__^|'^|     R
echo:
echo Please ensure your game is first placed inside the patching folder!!!
echo Or, if you are running this from the CMD line, please ensure you are in
echo                                              the right directory first.
PAUSE
EXIT /B

:mp2check

cls

.\patchmp2\binmp2\getvalue %1 0x0

SET mp2region=%errorlevel%
SET mptflag=0

IF %mp2region%==1194478917 GOTO USAREG
IF %mp2region%==1194478928 GOTO EURREG
IF %mp2region%==1194478922 GOTO JPNREG
IF %mp2region%==1379093829 GOTO MPTUSA
IF %mp2region%==1345473861 ECHO The bonus disc is not compatible!
IF %mp2region%==1379092810 ECHO MP2 Wii de Asobu JP is not compatible!
IF %mp2region%==1379093840 Echo Trilogy for Europe is not compatible!

echo This is not a valid game! Please check your game file again, try a different region,
echo or make sure the patcher file is located in the same folder as "patchmp2".
PAUSE
EXIT

:JPNREG
SET mp2region=JPN
color 0c
type .\patchmp2\asciimp2\MPMlogo2.txt
echo Metroid Prime 2 no patchā e yōkoso: Museigen no bīmu ga kyoka sa remashita! (Nihon) [Japan]
GOTO MPSTART

:EURREG
SET mp2region=EUR
color 0a
type .\patchmp2\asciimp2\MPMlogo2.txt
echo Welcome to the patcher for Metroid Prime 2: Unlimited Beams Authorised! (Europe)
GOTO MPSTART

:USAREG
SET mp2region=USA
color 0b
type .\patchmp2\asciimp2\MPMlogo2.txt
echo Welcome to the patcher for Metroid Prime 2: Unlimited Beams Authorized! (USA)
GOTO MPSTART

:MPTUSA
SET mp2region=USA
SET mptflag=1
color 0b
type .\patchmp2\asciimp2\mptlogo2.txt
echo Welcome to the patcher for Metroid Prime 2: Unlimited Beams Authorized! (Trilogy USA)
GOTO MPSTART

:MPSTART

echo:
echo:
PAUSE
echo:
type .\patchmp2\asciimp2\chibimet2.txt
echo:
echo Before we get started,
echo do I KEEP or REMOVE your Beam Ammo Bars from the HUD?
echo (The blue and purple blocks that normally make up your ammo gauge.)
echo (This choice can't be adjusted later.)
echo:
echo  ____________________________
echo ^| *      99===------        ^|
echo ^| ^|                         ^|
echo ^| ^|                    ' '  ^|
echo ^| ^|         _          ' '^<-^|---- These bars show
echo ^|  .        \\\       .' '  ^|     Beam Ammo. The number counter is already hidden.
echo ^| -+-       \'/\\    -+-    ^|
echo ^|__'_________/___\____'_____^|
echo:
echo 1. Remove the colored bars from the HUD, I like my screen clear of what I don't need. (beam ammo bars OFF)
echo 2. Keep the colored bars on, I like being reminded of my power. (beam ammo bars ON)

sleep .1
echo:
choice /C r1k2hs /N /M "(Press Ctrl+C to cancel.) [R,K]?"
IF %errorlevel%==0 EXIT /B

SET _temp=%errorlevel%
IF %_temp% LSS 3 (SET ammobars=1)
IF %_temp%==3 SET ammobars=3
IF %_temp%==4 SET ammobars=3
IF %_temp%==5 SET ammobars=9
IF %_temp%==6 SET ammobars=5
echo:
echo:
echo:
SET hardmodeflag=0
IF %ammobars%==1 GOTO barless
IF %ammobars%==3 GOTO barfull
SET hardmodeflag=1
IF %ammobars%==9 GOTO hardermode
SET hardmodeflag=2
IF %ammobars%==5 GOTO hardestmode

:barless
echo Loading U.B.A. standard experience.
echo Beam bars set to off. Hiding beam counters.
echo  ____________________________
echo ^| *      99===------        ^|
echo ^| ^|                         ^|
echo ^| ^|                         ^|
echo ^| ^|         _               ^|
echo ^|  .        \\\       .     ^|    Beam ammo bars REMOVED!
echo ^| -+-       \'/\\    -+-    ^|
echo ^|__'_________/___\____'_____^|
GOTO barsdone

:barfull
echo Loading U.B.A. standard experience.
echo Beam bars set to on. Hiding beam counters.
echo  ____________________________
echo ^| *      99===------        ^|
echo ^| ^|                         ^|
echo ^| ^|                    ' '  ^|
echo ^| ^|         _          ' '  ^|
echo ^|  .        \\\       .' '  ^|    Beam ammo bars KEPT!
echo ^| -+-       \'/\\    -+-    ^|
echo ^|__'_________/___\____'_____^|
GOTO barsdone

:hardermode
echo SECRET hardmode activated! Get ready...
echo Unlimited ammo set to off.
echo Beam bars set to on.
GOTO barsdone

:hardestmode
echo SECRET 2ND hardmode activated! Get ready... (NO ammo bars!)
echo Unlimited ammo set to off.
echo Beam bars set to off. Hiding beam counters.

:barsdone

echo:
echo:
type .\patchmp2\asciimp2\chibimet4.txt
echo Commencing. All bounty hunters please hold.

IF %mptflag%==1 GOTO STARTMPT

echo:
echo Preparing workingmp2 folder.

RD /S /Q ".\workingmp2" 2> nul
MD .\workingmp2 2> nul
echo Extracting game...

.\patchmp2\binmp2\nodtool extract -f %1 .\workingmp2

echo Extraction complete.
type .\patchmp2\asciimp2\chibimet2.txt
echo Preparing...

XCOPY .\patchmp2\binmp2\PakTool.exe .\workingmp2\files  /V /Y /Q
XCOPY .\patchmp2\binmp2\zlib1.dll .\workingmp2\files /V /Y /Q

cd .\workingmp2\files

echo Unpacking files...

PakTool.exe -x Metroid1.pak
PakTool.exe -x Metroid2.pak
PakTool.exe -x Metroid3.pak
PakTool.exe -x Metroid4.pak
PakTool.exe -x Metroid5.pak

PakTool.exe -d Metroid1.pak
PakTool.exe -d Metroid2.pak
PakTool.exe -d Metroid3.pak
PakTool.exe -d Metroid4.pak
PakTool.exe -d Metroid5.pak

echo Unpacking ...Success!

echo Patching game files...

XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid1-pak\ec6568a0.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid1-pak\c24b9fa7.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\ec6568a0.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\c24b9fa7.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\3ba8371a.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\42e0c1cb.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\437b551b.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\e0278e24.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\a301c2a4.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\a0e14ac6.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\382c2f8f.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid3-pak\ec6568a0.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid3-pak\855da32d.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid3-pak\c24b9fa7.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\ec6568a0.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\7f835cb4.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\c24b9fa7.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\836f7cc9.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\9648f4b4.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\920ecf81.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid5-pak\ec6568a0.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid5-pak\7f835cb4.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid5-pak\c24b9fa7.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid5-pak\920ecf81.RULE /V /Y /Q

echo Patching ...Success!


type ..\..\patchmp2\asciimp2\chibimet4.txt
echo Repacking files...

PakTool.exe -r MP2 Metroid1-pak Metroid1.pak Metroid1-pak.txt
PakTool.exe -r MP2 Metroid2-pak Metroid2.pak Metroid2-pak.txt
PakTool.exe -r MP2 Metroid3-pak Metroid3.pak Metroid3-pak.txt
PakTool.exe -r MP2 Metroid4-pak Metroid4.pak Metroid4-pak.txt
PakTool.exe -r MP2 Metroid5-pak Metroid5.pak Metroid5-pak.txt

echo Repacking ...Success!

type ..\..\patchmp2\asciimp2\chibimet2.txt
echo Cleaning files...

XCOPY .\Video\Attract02_32.thp .\Video\Attract06_31.thp /V /Y /Q
XCOPY .\Video\Attract02_32.thp .\Video\Attract07_31.thp /V /Y /Q
XCOPY .\Video\Attract02_32.thp .\Video\Attract08_31.thp /V /Y /Q
XCOPY .\Video\Attract02_32.thp .\Video\Attract09_31.thp /V /Y /Q

RD /S /Q Metroid1-pak
RD /S /Q Metroid2-pak
RD /S /Q Metroid3-pak
RD /S /Q Metroid4-pak
RD /S /Q Metroid5-pak

del /Q Metroid1-pak.txt
del /Q Metroid2-pak.txt
del /Q Metroid3-pak.txt
del /Q Metroid4-pak.txt
del /Q Metroid5-pak.txt

del /Q Paktool.exe
del /Q zlib1.dll

echo Cleaning done!

type ..\..\patchmp2\asciimp2\chibimet4.txt
echo Patching .DOL...
echo:

cd..

IF %hardmodeflag%==1 GOTO skipdol
IF %mp2region%==USA GOTO USADOL
IF %mp2region%==EUR GOTO EURDOL
IF %mp2region%==JPN GOTO JPNDOL

:JPNDOL

echo arrived at jpn

..\patchmp2\binmp2\xdelta3.exe -d -fs .\files\Standard.ntwk ..\patchmp2\xdeltamp2\jpnNumberless.xdelta3

XCOPY .\jpnNumberless.ntwk .\files\Standard.ntwk /V /Y /Q

del /Q .\jpnNumberless.ntwk

IF %ammobars%==3 GOTO jpnNCx
IF %ammobars%==5 GOTO jpnHM2x

echo:
echo Selected mode confirmed. Bars off, ammo counter off.
echo:

..\patchmp2\binmp2\xdelta3.exe -d -fs .\sys\main.dol ..\patchmp2\xdeltamp2\jpnNBNC.xdelta3

XCOPY .\jpnnbnc.dol .\sys\main.dol /V /Y /Q
XCOPY .\jpnnbnc.dol .\files\default.dol /V /Y /Q

del /Q .\jpnnbnc.dol

SET mp2ver=Bars off
GOTO tripover

:jpnNCx

echo:
echo Selected mode confirmed. Bars on, ammo counter off.
echo:

..\patchmp2\binmp2\xdelta3.exe -d -fs .\sys\main.dol ..\patchmp2\xdeltamp2\jpnNC.xdelta3

XCOPY .\jpnnc.dol .\sys\main.dol /V /Y /Q
XCOPY .\jpnnc.dol .\files\default.dol /V /Y /Q

del /Q .\jpnnc.dol

SET mp2ver=Bars on
GOTO tripover

:jpnHM2x

echo:
echo Selected mode confirmed. Bars off, ammo counter off, unlimited ammo deactivated.
echo:

..\patchmp2\binmp2\xdelta3.exe -d -fs .\sys\main.dol ..\patchmp2\xdeltamp2\jpnHM2.xdelta3

XCOPY .\jpnhm2.dol .\sys\main.dol /V /Y /Q
XCOPY .\jpnhm2.dol .\files\default.dol /V /Y /Q

del /Q .\jpnhm2.dol

SET mp2ver=Hardmode2
GOTO tripover


:EURDOL

echo arrived at eur

..\patchmp2\binmp2\xdelta3.exe -d -fs .\files\Standard.ntwk ..\patchmp2\xdeltamp2\eurNumberless.xdelta3

XCOPY .\eurNumberless.ntwk .\files\Standard.ntwk /V /Y /Q

del /Q .\eurNumberless.ntwk

IF %ammobars%==3 GOTO eurNCx
IF %ammobars%==5 GOTO eurHM2x

echo:
echo Selected mode confirmed. Bars off, ammo counter off.
echo:

..\patchmp2\binmp2\xdelta3.exe -d -fs .\sys\main.dol ..\patchmp2\xdeltamp2\eurNBNC.xdelta3

XCOPY .\eurnbnc.dol .\sys\main.dol /V /Y /Q
XCOPY .\eurnbnc.dol .\files\default.dol /V /Y /Q

del /Q .\eurnbnc.dol

SET mp2ver=Bars off
GOTO tripover

:eurNCx

echo:
echo Selected mode confirmed. Bars on, ammo counter off.
echo:

..\patchmp2\binmp2\xdelta3.exe -d -fs .\sys\main.dol ..\patchmp2\xdeltamp2\eurNC.xdelta3

XCOPY .\eurnc.dol .\sys\main.dol /V /Y /Q
XCOPY .\eurnc.dol .\files\default.dol /V /Y /Q

del /Q .\eurnc.dol

SET mp2ver=Bars on
GOTO tripover

:eurHM2x

echo:
echo Selected mode confirmed. Bars off, ammo counter off, unlimited ammo deactivated.
echo:

..\patchmp2\binmp2\xdelta3.exe -d -fs .\sys\main.dol ..\patchmp2\xdeltamp2\eurHM2.xdelta3

XCOPY .\eurhm2.dol .\sys\main.dol /V /Y /Q
XCOPY .\eurhm2.dol .\files\default.dol /V /Y /Q

del /Q .\eurhm2.dol

SET mp2ver=Hardmode2
GOTO tripover


:USADOL

echo arrived at usa

..\patchmp2\binmp2\xdelta3.exe -d -fs .\files\Standard.ntwk ..\patchmp2\xdeltamp2\usaNumberless.xdelta3

XCOPY .\usaNumberless.ntwk .\files\Standard.ntwk /V /Y /Q

del /Q .\usaNumberless.ntwk

IF %ammobars%==3 GOTO usaNCx
IF %ammobars%==5 GOTO usaHM2x

echo:
echo Selected mode confirmed. Bars off, ammo counter off.
echo:

..\patchmp2\binmp2\xdelta3.exe -d -fs .\sys\main.dol ..\patchmp2\xdeltamp2\usaNBNC.xdelta3

XCOPY .\usanbnc.dol .\sys\main.dol /V /Y /Q
XCOPY .\usanbnc.dol .\files\default.dol /V /Y /Q

del /Q .\usanbnc.dol

SET mp2ver=Bars off
GOTO tripover

:usaNCx

echo:
echo Selected mode confirmed. Bars on, ammo counter off.
echo:

..\patchmp2\binmp2\xdelta3.exe -d -fs .\sys\main.dol ..\patchmp2\xdeltamp2\usaNC.xdelta3

XCOPY .\usanc.dol .\sys\main.dol /V /Y /Q
XCOPY .\usanc.dol .\files\default.dol /V /Y /Q

del /Q .\usanc.dol

SET mp2ver=Bars on
GOTO tripover

:usaHM2x

echo:
echo Selected mode confirmed. Bars off, ammo counter off, unlimited ammo deactivated.
echo:

..\patchmp2\binmp2\xdelta3.exe -d -fs .\sys\main.dol ..\patchmp2\xdeltamp2\usaHM2.xdelta3

XCOPY .\usahm2.dol .\sys\main.dol /V /Y /Q
XCOPY .\usahm2.dol .\files\default.dol /V /Y /Q

del /Q .\usahm2.dol

SET mp2ver=Hardmode2
GOTO tripover


:skipdol

echo Selected mode confirmed: Bars on, ammo counter on, unlimited ammo deactivated.
SET mp2ver=Hardmode1

:tripover

echo:
echo Patching ...Success!

cd..

type .\patchmp2\asciimp2\chibimet3.txt
echo Rebuilding game!

CALL .\patchmp2\binmp2\nodtool makegcn .\workingmp2 ".\MP2 - Unlimited Beams Authorized (%mp2ver%) (%mp2region%).iso"


RD /S /Q ".\workingmp2"


echo:
echo Done! Look into your patch folder for a new game. You can play it in Dolphin
echo or by loading it onto your Wii or Gamecube. This program will now exit.

PAUSE

EXIT /B


:STARTMPT

echo:
echo This may take AWHILE. Please wait patiently.
echo Preparing workingmp2t folder.

RD /S /Q ".\workingmp2t" 2> nul
MD .\workingmp2t 2> nul
echo Extracting game...

.\patchmp2\binmp2\nodtool extract -f %1 .\workingmp2t

echo Extraction complete.
type .\patchmp2\asciimp2\chibimet2.txt
echo Preparing...

XCOPY .\patchmp2\binmp2\PakTool.exe .\workingmp2t\DATA\files\MP2 /V /Y /Q
XCOPY .\patchmp2\binmp2\zlib1.dll .\workingmp2t\DATA\files\MP2 /V /Y /Q

cd .\workingmp2t\DATA\files\MP2

echo Unpacking files...

PakTool.exe -x Metroid1.pak
PakTool.exe -x Metroid2.pak
PakTool.exe -x Metroid3.pak
PakTool.exe -x Metroid4.pak
PakTool.exe -x Metroid5.pak

PakTool.exe -d Metroid1.pak
PakTool.exe -d Metroid2.pak
PakTool.exe -d Metroid3.pak
PakTool.exe -d Metroid4.pak
PakTool.exe -d Metroid5.pak

echo Unpacking ...Success!

echo Patching game files...

XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid1-pak\ec6568a0.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid1-pak\c24b9fa7.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\ec6568a0.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\c24b9fa7.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\3ba8371a.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\42e0c1cb.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\437b551b.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\e0278e24.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\a301c2a4.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\a0e14ac6.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid2-pak\382c2f8f.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid3-pak\ec6568a0.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid3-pak\855da32d.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid3-pak\c24b9fa7.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\ec6568a0.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\7f835cb4.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\c24b9fa7.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\836f7cc9.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\9648f4b4.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid4-pak\920ecf81.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid5-pak\ec6568a0.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid5-pak\7f835cb4.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid5-pak\c24b9fa7.RULE /V /Y /Q
XCOPY .\Metroid2-pak\431a3e53.RULE .\Metroid5-pak\920ecf81.RULE /V /Y /Q

echo Patching ...Success!


type ..\..\..\..\patchmp2\asciimp2\chibimet4.txt
echo Repacking files...

PakTool.exe -r MP2 Metroid1-pak Metroid1.pak Metroid1-pak.txt
PakTool.exe -r MP2 Metroid2-pak Metroid2.pak Metroid2-pak.txt
PakTool.exe -r MP2 Metroid3-pak Metroid3.pak Metroid3-pak.txt
PakTool.exe -r MP2 Metroid4-pak Metroid4.pak Metroid4-pak.txt
PakTool.exe -r MP2 Metroid5-pak Metroid5.pak Metroid5-pak.txt

echo Repacking ...Success!

type ..\..\..\..\patchmp2\asciimp2\chibimet2.txt
echo Cleaning files...

RD /S /Q Metroid1-pak
RD /S /Q Metroid2-pak
RD /S /Q Metroid3-pak
RD /S /Q Metroid4-pak
RD /S /Q Metroid5-pak

del /Q Metroid1-pak.txt
del /Q Metroid2-pak.txt
del /Q Metroid3-pak.txt
del /Q Metroid4-pak.txt
del /Q Metroid5-pak.txt

del /Q Paktool.exe
del /Q zlib1.dll

echo Cleaning done!

type ..\..\..\..\patchmp2\asciimp2\chibimet4.txt
echo Patching .DOL...
echo:

cd..

echo arrived at trilogy usa

IF %hardmodeflag%==1 GOTO mptnodol
IF %ammobars%==3 GOTO usamptNCx
IF %ammobars%==5 GOTO usamptHM2x

echo:
echo Selected mode confirmed. Bars off, ammo counter off.
echo:

..\..\..\patchmp2\binmp2\xdelta3.exe -d -fs .\rs5mp2_p.dol ..\..\..\patchmp2\xdeltamp2\usamptNBNC.xdelta3

XCOPY .\usamptnbnc.dol ".\rs5mp2_p.dol" /V /Y /Q

del /Q .\usamptnbnc.dol

SET mp2ver=Bars off
GOTO mptover

:usamptNCx

echo:
echo Selected mode confirmed. Bars on, ammo counter off.
echo:

..\..\..\patchmp2\binmp2\xdelta3.exe -d -fs .\rs5mp2_p.dol ..\..\..\patchmp2\xdeltamp2\usamptNC.xdelta3

XCOPY .\usamptnc.dol ".\rs5mp2_p.dol" /V /Y /Q

del /Q .\usamptnc.dol

SET mp2ver=Bars on
GOTO mptover

:usamptHM2x

echo:
echo Selected mode confirmed. Bars off, ammo counter off, unlimited ammo deactivated.
echo:

..\..\..\patchmp2\binmp2\xdelta3.exe -d -fs .\rs5mp2_p.dol ..\..\..\patchmp2\xdeltamp2\usamptHM2.xdelta3

XCOPY .\usampthm2.dol ".\rs5mp2_p.dol" /V /Y /Q

del /Q .\usampthm2.dol

SET mp2ver=Hardmode2
GOTO mptover


:mptnodol


echo Selected mode confirmed: Bars on, ammo counter on, unlimited ammo deactivated.
SET mp2ver=Hardmode1

:mptover

echo:
echo Patching ...Success!

cd..
cd..
cd..

type .\patchmp2\asciimp2\chibimet3.txt
echo Rebuilding game!

CALL .\patchmp2\binmp2\nodtool makewii .\workingmp2t ".\MP2 Trilogy - U.B.A. (%mp2ver%) (%mp2region%).iso"


RD /S /Q ".\workingmp2t"


echo:
echo Done! Look into your patch folder for a new game. You can play it in Dolphin
echo or by loading it onto your Wii. This program will now exit.

PAUSE

EXIT /B